package Whitelist;

import java.util.Set;
import java.util.logging.Logger;
import org.bukkit.Bukkit;
import org.bukkit.ChatColor;
import org.bukkit.OfflinePlayer;

import org.bukkit.Server;
import org.bukkit.event.EventHandler;
import org.bukkit.event.EventPriority;
import org.bukkit.event.Listener;
import org.bukkit.event.player.PlayerLoginEvent;
import org.bukkit.plugin.java.JavaPlugin;

public class Core extends JavaPlugin implements Listener {

    public static final Logger log = Logger.getLogger("Minecraft");
    public static Server serv;
    public static String kickWhitelist = ",      .    MissZymochka Online";

    @Override
    public void onEnable() {
        log.info("[whitelist-fix] Active");
        serv = getServer();
        Bukkit.getPluginManager().registerEvents(this, this);
    }

    @EventHandler(priority = EventPriority.HIGHEST)
    public void onJoin(PlayerLoginEvent event) {
        String name = event.getPlayer().getDisplayName();
        Set<OfflinePlayer> jk = serv.getWhitelistedPlayers();
        for (OfflinePlayer pl : jk) {
            if (pl.getName().equals(name)) {
                event.allow();
                event.setResult(PlayerLoginEvent.Result.ALLOWED);
                return;
            }
        }
        event.disallow(PlayerLoginEvent.Result.KICK_WHITELIST, ChatColor.RED + name + kickWhitelist);
    }
}
